Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class RepositoryFolderInfoHelper

    java.lang.Object
      |
      +--com.bea.wlpi.common.RepositoryFolderInfoHelper

public class RepositoryFolderInfoHelper
extends java.lang.Object
implements java.io.Serializable, Publishable, java.lang.Comparable

This is an auxilliary class for com.bea.eci.repository.helper.RepositoryFolderInfo used solely for Import/Export purposes.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RepositoryFolderInfoHelper(java.lang.String type, java.lang.String name, java.lang.String desc, java.lang.String notes)`
`RepositoryFolderInfoHelper(java.lang.String type, java.lang.String name, java.lang.String description, java.lang.String notes, RepositoryFolderInfoHelper parent)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getContents()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getFolderType()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNotes()`
`java.lang.String` | `getOwnerName()`
`RepositoryFolderInfoHelper` | `getParent()`
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`int` | `getType()`
`boolean` | `isPublished()`
`void` | `publish()`
`void` | `setParent(RepositoryFolderInfoHelper p)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryFolderInfoHelper

    public RepositoryFolderInfoHelper(java.lang.String type,
                                      java.lang.String name,
                                      java.lang.String desc,
                                      java.lang.String notes)

### RepositoryFolderInfoHelper

    public RepositoryFolderInfoHelper(java.lang.String type,
                                      java.lang.String name,
                                      java.lang.String description,
                                      java.lang.String notes,
                                      RepositoryFolderInfoHelper parent)

Method Detail

### getFolderType

    public java.lang.String getFolderType()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getNotes

    public java.lang.String getNotes()

### getParent

    public RepositoryFolderInfoHelper getParent()

### setParent

    public void setParent(RepositoryFolderInfoHelper p)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    compareTo in interface java.lang.Comparable

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### isPublished

    public boolean isPublished()

  Specified by:
    isPublished in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)